// vfDaoView.h : interface of the CVfDaoView class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_VFDAOVIEW_H__29E6CFEF_841F_11D1_88FB_00A0C9050951__INCLUDED_)
#define AFX_VFDAOVIEW_H__29E6CFEF_841F_11D1_88FB_00A0C9050951__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "MovieVF.h"

class CVfDaoView : public CView
{
protected:
	CMovieVF	m_vfMovie;					// The VForm object

protected: // create from serialization only
	CVfDaoView();
	DECLARE_DYNCREATE(CVfDaoView)

// Attributes
public:
	CVfDaoDoc* GetDocument();

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CVfDaoView)
	public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	virtual void OnPrepareDC(CDC* pDC, CPrintInfo* pInfo = NULL);
	protected:
	virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
	virtual void OnPrint(CDC* pDC, CPrintInfo* pInfo);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CVfDaoView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CVfDaoView)
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg void OnSetFocus(CWnd* pOldWnd);
	afx_msg BOOL OnEraseBkgnd(CDC* pDC);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in vfDaoView.cpp
inline CVfDaoDoc* CVfDaoView::GetDocument()
   { return (CVfDaoDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_VFDAOVIEW_H__29E6CFEF_841F_11D1_88FB_00A0C9050951__INCLUDED_)
