// CategorySet.cpp : implementation file
//

#include "stdafx.h"
#include "vfDao.h"
#include "CategorySet.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CCategorySet

IMPLEMENT_DYNAMIC(CCategorySet, CDaoRecordset)

CCategorySet::CCategorySet(CDaoDatabase* pdb)
	: CDaoRecordset(pdb)
{
	//{{AFX_FIELD_INIT(CCategorySet)
	m_Category = _T("");
	m_nFields = 1;
	//}}AFX_FIELD_INIT
	m_nDefaultType = dbOpenDynaset;
}


CString CCategorySet::GetDefaultDBName()
{
	return _T(".\\movies.mdb");
}

CString CCategorySet::GetDefaultSQL()
{
	return _T("[tblCategory]");
}

void CCategorySet::DoFieldExchange(CDaoFieldExchange* pFX)
{
	//{{AFX_FIELD_MAP(CCategorySet)
	pFX->SetFieldType(CDaoFieldExchange::outputColumn);
	DFX_Text(pFX, _T("[Category]"), m_Category);
	//}}AFX_FIELD_MAP
}

/////////////////////////////////////////////////////////////////////////////
// CCategorySet diagnostics

#ifdef _DEBUG
void CCategorySet::AssertValid() const
{
	CDaoRecordset::AssertValid();
}

void CCategorySet::Dump(CDumpContext& dc) const
{
	CDaoRecordset::Dump(dc);
}
#endif //_DEBUG
