#if !defined(AFX_MOVIESET_H__29E6CFFA_841F_11D1_88FB_00A0C9050951__INCLUDED_)
#define AFX_MOVIESET_H__29E6CFFA_841F_11D1_88FB_00A0C9050951__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
// MovieSet.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CMovieSet DAO recordset

class CMovieSet : public CDaoRecordset
{
public:
	CMovieSet(CDaoDatabase* pDatabase = NULL);
	DECLARE_DYNAMIC(CMovieSet)

// Field/Param Data
	//{{AFX_FIELD(CMovieSet, CDaoRecordset)
	long	m_MovieID;
	CString	m_Title;
	short	m_Year;
	CString	m_Rating;
	BYTE	m_Quality;
	CString	m_Category;
	BOOL	m_DVD;
	CString	m_Summary;
	//}}AFX_FIELD

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CMovieSet)
	public:
	virtual CString GetDefaultDBName();		// Default database name
	virtual CString GetDefaultSQL();		// Default SQL for Recordset
	virtual void DoFieldExchange(CDaoFieldExchange* pFX);  // RFX support
	//}}AFX_VIRTUAL

// Implementation
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_MOVIESET_H__29E6CFFA_841F_11D1_88FB_00A0C9050951__INCLUDED_)
