#ifndef __TCK_DB_H__
#define __TCK_DB_H__

// -------------------------------------------------------------------------
// CTckDb Class
// -------------------------------------------------------------------------
class CTckDb
{
private:
	CDaoDatabase* m_pDb;
public:
	CTckDb();					// Constructor
	virtual ~CTckDb();			// Destructor

	CDaoDatabase* GetDb() { return m_pDb; }				// get the DB ptr
	void Shutdown();									// shutdown the db
	BOOL EzOpen(LPCTSTR lpszPathName);
	static void DisplayDaoException(CDaoException* e);

	static LPCTSTR strFieldType(short sType);
	static LPCTSTR strQueryDefType(short sType);
	static LPCTSTR strBOOL(BOOL bFlag);
	static CString strVARIANT(const COleVariant& var);
};

#endif